
// iMaticDlg.h : 头文件
//
#include "BmpBtn.h"
#include "afxsock.h"
#include "afxwin.h"



#pragma once


#define MV_MESSAGE_FINSH_CONNECT_SOCK WM_USER+1
#define MV_MESSAGE_RELAY_ALL_ONCLICK WM_USER+2


// CiMaticDlg 对话框
struct SockInfo
{
	HWND hWnd ;
};
class CiMaticDlg : public CDialogEx
{
// 构造
public:
	CiMaticDlg(CWnd* pParent = NULL);	// 标准构造函数

// 对话框数据
	enum { IDD = IDD_IMATIC_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支持


// 实现
protected:
	HICON m_hIcon;

	// 生成的消息映射函数
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	CBmpBtn bt_background;
	CBmpBtn bt_relay_all;
	boolean isConnect;
	boolean connecting;
	CSocket m_sock;
	CSocket *m_socket;
	afx_msg void OnRelayAllClick();
	static void ConnectServer(void *ptr);
	LRESULT FinishConnectServer(WPARAM wParam,LPARAM lparam);
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnBnClickedConnect();
	afx_msg void OnBnClickedRelay1();
	afx_msg void OnBnClickedRelay2();
	afx_msg void OnBnClickedRelay3();
	afx_msg void OnBnClickedRelay4();
	afx_msg void OnBnClickedRelay5();
	afx_msg void OnBnClickedRelay6();
	afx_msg void OnBnClickedRelay7();
	afx_msg void OnBnClickedRelay8();
	UINT ListenThread(LPVOID lpParam);
	void Send_data(unsigned char relay_number, unsigned char isOn);
	afx_msg void OnBnClickedRelayAll();
};
